=== debian/changelog ===
opencpn-plugin-sweepplot (1.0.0-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 12 Aug 2019 16:01:28 -0700

opencpn-plugin-sweepplot (1.0.0-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 12 Aug 2019 15:54:30 -0700

opencpn-plugin-sweepplot (1.0.0-0~xenial1) xenial; urgency=low

  * v1.0

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 24 Feb 2016 16:44:59 -0600
